Subject: Re: [2.6 patch] schedule SHAPER for removal

From: Adrian Bunk <[email-masked]>
Date: Sun, 22 Jan 2006 19:20:34 +0100

On Sun, Jan 22, 2006 at 12:47:07PM -0500, Benjamin LaHaise wrote:
> On Sat, Jan 21, 2006 at 01:48:48AM +0100, Adrian Bunk wrote:
> > Do we really have to wait the three years between stable Debian releases 
> > for removing an obsolete driver that has always been marked as 
> > EXPERIMENTAL?
> > 
> > Please be serious.
> 
> I am completely serious.  The traditional cycle of obsolete code that works 
> and is not causing a maintenence burden is 2 major releases -- one release 
> during which the obsolete feature spews warnings on use, and another 
> development cycle until it is actually removed.  That's at least 3 years, 
> which is still pretty short compared to distro cycles.
> 
> There seems to be a lot of this disease of removing code for the sake of 
> removal lately, and it's getting to the point of being really annoying.  If 
> the maintainer of the code in question isn't pushing for its removal, I see 
> no need to rush the process too much, especially when the affected users 
> aren't even likely to see the feature being marked obsolete since they don't 
> troll the source code looking for things that break setups.

The only supported combinations are distributions with the kernels they 
ship.

E.g. running Debian stable with any kernel > 2.6.8 is simply not 
supported.

The only point where users are supposed to see such changes are upgrades 
to new releases of their distribution - and this is anyways a point 
where you have to double-check whether it hadn't broken anything.

And the kernel isn't the main thing where things break during 
distribution upgrades - userspace breakages are much more common.

As an example, not so long ago an upgrade of the hdparm package on my 
Debian unstable system broke one local boot script I'm using because 
upstream removed the short form of an option.

And GNU make 3.81 will contain some backwards incompatible changes for 
being more POSIX compliant.

And many more changes I do not remember.

Distributions can document usespace-visible changes, but avoiding them 
is simply not possible.

> 		-ben

cu
Adrian

-- 

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed